### R code from vignette source 'Guide.Stex'

###################################################
### code chunk number 1: Guide.Stex:30-31
###################################################
 options(continue="  ")


###################################################
### code chunk number 2: Guide.Stex:148-153
###################################################
  library("TShistQuote")  
  yahoo <- TSconnect("histQuote", dbname="yahoo") 
  x <- TSget("^gspc", quote = "Close", con=yahoo)
  library("tfplot")  
  tfplot(x)


###################################################
### code chunk number 3: Guide.Stex:160-164
###################################################
  library("TSgetSymbol")  
  yahoo <- TSconnect("getSymbol", dbname="yahoo") 
  x <- TSget("^gspc", quote = "Close", con=yahoo)
  tfplot(x)


###################################################
### code chunk number 4: Guide.Stex:175-179
###################################################
ya1 <- TSconnect("getSymbol", dbname="yahoo")
ya2 <- TSconnect("histQuote", dbname="yahoo")
ibmC1 <- TSget("ibm", ya1, quote = "Close", start="2011-01-03")
ibmC2 <- TSget("ibm", ya2, quote = "Close", start="2011-01-03")


###################################################
### code chunk number 5: Guide.Stex:190-191
###################################################
tframe(ibmC1) <- as.Date(tframe(ibmC1))


###################################################
### code chunk number 6: Guide.Stex:195-201
###################################################
tfplot(ibmC2, ibmC1,  
   ylab="IBM Close",
   Title="IBM via getSymbol and histQuote",
   lastObs=TRUE, 
   legend=c("via histQuote (black)", "via getSymbol (red)"),
   source="Source: Yahoo")


###################################################
### code chunk number 7: Guide.Stex:205-206
###################################################
max(abs(ibmC2 - ibmC1))


###################################################
### code chunk number 8: Guide.Stex:217-221
###################################################
  TSdescription(x) 
  TSdoc(x) 
  TSlabel(x) 
  TSsource(x) 


###################################################
### code chunk number 9: Guide.Stex:231-234
###################################################
  library("TSgetSymbol")  
  fred <- TSconnect("getSymbol", dbname="FRED") 
  tfplot(TSget("M2", fred))


###################################################
### code chunk number 10: Guide.Stex:240-249
###################################################
  options(TSconnection=fred)
  tfOnePlot(percentChange(TSget("M2"), lag=52), 
    Title = "Running commentary, blah, blah, blah", 
    subtitle="Broad Money (M2)",
    ylab= "y/y percent change*",
    source="Source: Federal Reserve Bank of St.Louis (M2)",
    footnoteLeft = "seasonally adjusted data",
    footnoteRight = "* approximated by 52 week growth",
    lastObs = TRUE )


###################################################
### code chunk number 11: Guide.Stex:254-255
###################################################
  options(TSconnection=NULL)


###################################################
### code chunk number 12: Guide.Stex:261-271
###################################################
  x <- TSget(c("CPIAUCNS","M2SL"), fred)
  tfplot(x, 
    Title = "Running commentary, blah, blah, blah", 
    subtitle=c("Consumer Price Index for All Urban Consumers: All Items", "Broad Money"),
    ylab= c("Index 1982-84=100", "Billions of dollars"),
    source= c("Data Source: Federal Reserve Bank of St.Louis (CPIAUCNS)",
              "Data Source: Federal Reserve Bank of St.Louis (M2SL)"),
    footnoteLeft  = c("not seasonally adjusted",  "seasonally adjusted"),
    footnoteRight = paste("Extracted:", date()),
    lastObs = TRUE )


###################################################
### code chunk number 13: Guide.Stex:275-276
###################################################
  TSdates(c("CPIAUCNS","M2SL"), fred) 


###################################################
### code chunk number 14: Guide.Stex:283-285
###################################################
  x <- TSget(c("CPIAUCNS","M2SL"), fred, TSrepresentation="zoo")
  class(x) 


###################################################
### code chunk number 15: Guide.Stex:289-290
###################################################
  options(TSrepresentation="zoo")


###################################################
### code chunk number 16: Guide.Stex:294-295
###################################################
  options(TSrepresentation=NULL)


###################################################
### code chunk number 17: Guide.Stex:305-308
###################################################
  yahoo <- TSconnect("getSymbol", dbname="yahoo") 
  x <- TSget("F", con=yahoo)
  plot(x)


###################################################
### code chunk number 18: Guide.Stex:321-322
###################################################
  tfplot(x,series=1:3)


###################################################
### code chunk number 19: Guide.Stex:332-335
###################################################
  tfOnePlot(TSget("F", con=yahoo, quote=c("Open", "Close")),
     Title="Ford from Yahoo;  Open (black); Close (red)",
     ylab="Price")


###################################################
### code chunk number 20: Guide.Stex:352-362
###################################################
  library("TSxls")  
  rba <- TSconnect("xls",
          dbname="http://www.rba.gov.au/statistics/tables/xls/d03hist.xls",
          map=list(ids  =list(i=11,     j="B:Q"), 
	           data =list(i=12:627, j="B:Q"), 
	           dates=list(i=12:627, j="A"),
                   names=list(i=4:7,    j="B:Q"), 
		   description = NULL,
		   tsrepresentation = function(data,dates){
		       ts(data,start=c(1959,7), frequency=12)}))


###################################################
### code chunk number 21: Guide.Stex:372-375
###################################################
  x <- TSget("DMACN", rba)
  require("tfplot")
  tfplot(x)


###################################################
### code chunk number 22: Guide.Stex:378-381
###################################################
  x <- TSget(c("DMAM1N", "DMAM3N"), rba)
  tfplot(x)
  TSdescription(x) 


###################################################
### code chunk number 23: Guide.Stex:396-400
###################################################
  tfplot(TSget(c("DMAM1S", "DMAM3S", "DMABMS"), rba),
         TSget(c("DMAM1N", "DMAM3N", "DMABMN"), rba),
    ylab=c("DMAM1", "DMAM3", "DMABM"),
    Title="Australian Monetary Aggregates")


###################################################
### code chunk number 24: Guide.Stex:416-420
###################################################
  library("TSzip")  
  pitr <- TSconnect("zip", dbname="http://pitrading.com/free_eod_data")
  z <- TSget("INDU", pitr)
  tfplot(z, series=c(1,4))


###################################################
### code chunk number 25: Guide.Stex:424-430
###################################################
  z <- TSget(c("EURUSD", "GBPUSD"), pitr, quote=c("Open","Close"),
         TSrepresentation=xts)
  tfplot(z,
         Title="EURUSD and GBPUSD open and closing values from pitrading", 
         start="1995-01-01",
         par=list(omi=c(0.1,0.3,0.1,0.1),mar=c(2.1,3.1,1.0,0.1)))


###################################################
### code chunk number 26: Guide.Stex:469-473
###################################################
 library("TSMySQL")
 con <- dbConnect("MySQL", dbname="test") 
 source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
 dbDisconnect(con)


###################################################
### code chunk number 27: Guide.Stex:488-490
###################################################
 library("TSMySQL")
 con <- TSconnect("MySQL", dbname="test") 


###################################################
### code chunk number 28: Guide.Stex:502-507
###################################################
 z <- ts(rnorm(10), start=c(1990,1), frequency=1)
 seriesNames(z) <- "vec"
 if(TSexists("vec", con)) TSdelete("vec", con) 
 TSput( z, con)
 z <- TSget("vec", con)


###################################################
### code chunk number 29: Guide.Stex:530-535
###################################################
 z <- ts(matrix(rnorm(200),100,2), start=c(1995,1), frequency=12)
  seriesNames(z) <- c("mat2c1", "mat2c2")
 TSreplace(z, con)
 tfplot(z+1, TSget(c("mat2c1","mat2c2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))


###################################################
### code chunk number 30: Guide.Stex:540-546
###################################################
 TSmeta("mat2c1", con)
 TSmeta("vec", con)
 TSdates("vec", con)
 TSdescription("vec", con)
 TSdoc("vec", con)
 TSlabel("vec", con)


###################################################
### code chunk number 31: Guide.Stex:563-577
###################################################
 z <- ts(matrix(rnorm(10),10,1), start=c(1990,1), frequency=1)
 TSreplace(z, serIDs="Series1", con) 
 zz <- TSget("Series1", con)
 TSreplace(z, serIDs="Series1", con, 
     TSdescription="short rnorm series", 
     TSdoc="Series created as an example in the vignette.")
 zz <- TSget("Series1", con, TSdescription=TRUE, TSdoc=TRUE)
 start(zz)
 end(zz)
 TSdescription(zz)
 TSdoc(zz)

 TSdescription("Series1", con)
 TSdoc("Series1", con)


###################################################
### code chunk number 32: Guide.Stex:586-594
###################################################
 require("zoo") 

 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99)
  seriesNames(z) <- c("zooc1", "zooc2")
 TSreplace(z, con, Table="D")
 tfplot(z+1, TSget(c("zooc1","zooc2"), con),
           lty=c("solid", "dashed"), col=c("black", "red"))
  


###################################################
### code chunk number 33: Guide.Stex:597-600
###################################################
 z <- zoo(matrix(rnorm(200),100,2), as.Date("1990-01-01") + 0:99 * 7)
  seriesNames(z) <- c("zooWc1", "zooWc2")
 TSreplace(z, con, Table="W")


###################################################
### code chunk number 34: Guide.Stex:603-606
###################################################
  dbDisconnect(con)
  detach(package:TSMySQL)
  detach(package:RMySQL)


###################################################
### code chunk number 35: Guide.Stex:627-630
###################################################
  require("TSPostgreSQL")
  host    <- Sys.getenv("POSTGRES_HOST")
  con <-  TSconnect("PostgreSQL", dbname="test", host=host) 


###################################################
### code chunk number 36: Guide.Stex:635-638
###################################################
  require("TShistQuote")
  yahoo <- TSconnect("histQuote", dbname="yahoo") 
  x <- TSget("^gspc", quote = "Close", con=yahoo)


###################################################
### code chunk number 37: Guide.Stex:645-646
###################################################
   TSreplace(x,  serIDs="gspc", Table="B", con=con)


###################################################
### code chunk number 38: Guide.Stex:651-655
###################################################
  TSrefperiod(TSget(serIDs="gspc", con=con)) 
  TSdescription("gspc", con=con) 
  TSdoc("gspc", con=con)
  tfplot(TSget(serIDs="gspc", con=con))


###################################################
### code chunk number 39: Guide.Stex:658-671
###################################################
   x <- TSget("ibm", quote = c("Close", "Vol"), con=yahoo)
   TSreplace(x, serIDs=c("ibm.Cl", "ibm.Vol"),  con=con, Table="B",
              TSdescription.=c("IBM Close","IBM  Volume"),
	      TSdoc.= paste(c(
	         "IBM  Close   retrieved on ",
		 "IBM  Volume retrieved  on "), Sys.Date()))

   z <- TSget(serIDs=c("ibm.Cl", "ibm.Vol"), 
             TSdescription=TRUE, TSdoc=TRUE, con=con)
   TSdescription(z)
   TSdoc(z)
   tfplot(z, xlab = TSdoc(z), Title = TSdescription(z))
   tfplot(z, Title="IBM", start="2007-01-01")


###################################################
### code chunk number 40: Guide.Stex:708-711
###################################################
   Oanda <- TSconnect("histQuote", dbname="oanda") 
   x <- TSget("EUR/USD", start=Sys.Date() - 495, con=Oanda)
   TSreplace(x, serIDs="EUR/USD", Table="D", con=con)


###################################################
### code chunk number 41: Guide.Stex:716-720
###################################################
   z <- TSget(serIDs="EUR/USD",TSlabel=TRUE, 
                  TSdescription=TRUE,  con=con)
   tfplot(z, Title = TSdescription(z), ylab=TSlabel(z),
            start="2007-03-01")


###################################################
### code chunk number 42: Guide.Stex:723-728
###################################################
  dbDisconnect(con)
  dbDisconnect(yahoo)
  dbDisconnect(Oanda)
  detach(package:TSPostgreSQL)
  detach(package:RPostgreSQL)


###################################################
### code chunk number 43: Guide.Stex:747-750
###################################################
  library("TSMySQL")
  ets <-  TSconnect("MySQL", dbname="ets") 
  options(TSconnection=ets)


###################################################
### code chunk number 44: Guide.Stex:756-768
###################################################
  EXCH.IDs <- matrix(c(
 	"M.SDR.CCUSMA02.ST",	 "SDR/USD exchange rate",
 	"M.CAN.CCUSMA02.ST",	 "CAN/USD exchange rate",
 	"M.MEX.CCUSMA02.ST",	 "MEX/USD exchange rate",
 	"M.JPN.CCUSMA02.ST",	 "JPN/USD exchange rate",
 	"M.EMU.CCUSMA02.ST",	 "Euro/USD exchange rate",
 	"M.OTO.CCUSMA02.ST",	 "OECD /USD exchange rate",
 	"M.G7M.CCUSMA02.ST",	 "G7   /USD exchange rate",
 	"M.E15.CCUSMA02.ST",	 "Euro 15. /USD exchange rate"
	), 2, 8)

  TSdates(EXCH.IDs[1,])


###################################################
### code chunk number 45: Guide.Stex:774-777
###################################################
  z <- TSget("V122646", TSdescription=TRUE, TSsource=TRUE, TSdoc=TRUE,
              TSlabel=TRUE )
  tfplot(z, Title=strsplit(TSdescription(z), ","))


###################################################
### code chunk number 46: Guide.Stex:783-785
###################################################
  TSsource(z) <- "Bank of Canada"
  TSlabel(z) <- "Short-Term Business Credit"


###################################################
### code chunk number 47: Guide.Stex:789-794
###################################################
  tfplot(ytoypc(z), ylab="Year-over-Year Growth",
    Title=TSlabel(z),
    source=paste(TSseriesIDs(z), "from", TSsource(z)),
    lastObs=TRUE, 
    footnote=TSdescription(z))


###################################################
### code chunk number 48: Guide.Stex:802-804
###################################################
  dbDisconnect(ets)
  options(TSconnection=NULL)


###################################################
### code chunk number 49: Guide.Stex:807-809
###################################################
  detach(package:TSMySQL)
  detach(package:RMySQL)


###################################################
### code chunk number 50: Guide.Stex:840-844
###################################################
library("TScompare")  
library("TShistQuote")  
library("TSMySQL")  
library("TSSQLite")  


###################################################
### code chunk number 51: Guide.Stex:850-857
###################################################
 con <- dbConnect("MySQL", dbname="test") 
 source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
 dbDisconnect(con)

 con <- dbConnect("SQLite", dbname="test") 
 source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
 dbDisconnect(con)


###################################################
### code chunk number 52: Guide.Stex:861-863
###################################################
  con1 <- TSconnect("MySQL", dbname="test")
  con2 <- TSconnect("SQLite", dbname="test") 


###################################################
### code chunk number 53: Guide.Stex:871-883
###################################################
  yahoo <- TSconnect("histQuote", dbname="yahoo") 
  x <- TSget("^ftse", yahoo)
  TSreplace(x, serIDs="ftse", Table="B", con=con1)
  TSreplace(x, serIDs="ftse", Table="B", con=con2)

  x <- TSget("^gspc", yahoo)
  TSreplace(x,  serIDs="gspc", Table="B", con=con1)
  TSreplace(x,  serIDs="gspc", Table="B", con=con2)

  x <- TSget("ibm", con=yahoo, quote = c("Close", "Vol"))
  TSreplace(x, serIDs=c("ibmClose", "ibmVol"), Table="B", con=con1)
  TSreplace(x, serIDs=c("ibmC",     "ibmV"),   Table="B", con=con2)


###################################################
### code chunk number 54: Guide.Stex:887-889
###################################################
  ids <- AllIds(con1)
  ids


###################################################
### code chunk number 55: Guide.Stex:895-902
###################################################
  ids <- cbind(ids, ids)

  eq   <- TScompare(ids, con1, con2, na.rm=FALSE)
  summary(eq)

  eqrm <- TScompare(ids, con1, con2, na.rm=TRUE)
  summary(eqrm)


###################################################
### code chunk number 56: Guide.Stex:907-916
###################################################
  ids <- matrix(c("ftse","gspc","ibmClose", "ibmVol",
                  "ftse","gspc","ibmC", "ibmV"),4,2)

  ids
  eq   <- TScompare(ids, con1, con2, na.rm=FALSE)
  summary(eq)

  eqrm <- TScompare(ids, con1, con2, na.rm=TRUE)
  summary(eqrm)


###################################################
### code chunk number 57: Guide.Stex:921-925
###################################################
  detach(package:TSMySQL)
  detach(package:RMySQL)
  detach(package:TSSQLite)
  detach(package:RSQLite)


###################################################
### code chunk number 58: Guide.Stex:947-951
###################################################
require("TSMySQL") 
require("tfplot") 
ets <- TSconnect("MySQL",dbname="etsv") 
v  <- TSvintages(ets)


###################################################
### code chunk number 59: Guide.Stex:958-959
###################################################
ve <- TSexists("V122707", vintage=v, con=ets)


###################################################
### code chunk number 60: Guide.Stex:963-964
###################################################
ve[224:length(ve)] <- FALSE 


###################################################
### code chunk number 61: Guide.Stex:968-974
###################################################
CC <- TSget(serIDs="V122707", con=ets, vintage=v[ve])

tfOnePlot(ytoypc(CC), start=c(2000,1), 
   ylab="Consumer Credit (V122707) y/y Growth",
   Title=paste("Vintages", v[ve][1], "to",  v[ve][189]),
   lastObs=TRUE, source="Source: Bank of Canada")


###################################################
### code chunk number 62: Guide.Stex:982-990 (eval = FALSE)
###################################################
##   dbs <- paste("ets /path/to/etsmfacansim_", c(
##              "20110513.db", "20060526.db", "20110520.db"), sep="")
##   names(dbs) <- c("2011-05-13", "2006-05-26", "2011-05-20")
## 	     
##   conetsV <-TSconnect("fame", dbname=dbs, "read", current="2011-05-13")
## 
##   z <- TSget("V122646", con=conetsV, vintage=c("2011-05-13", "2006-05-26"))
##   dbDisconnect(conetsV)


###################################################
### code chunk number 63: Guide.Stex:1003-1006 (eval = FALSE)
###################################################
## require("googleVis") 
## tfVisPlot(ytoypc(CC, names=seriesNames(CC)), start=c(2006,1),
##     options=list(title="Vintages of Consumer Credit (V122707) y/y Growth"))


###################################################
### code chunk number 64: Guide.Stex:1055-1056
###################################################
   user <- Sys.getenv("MYSQL_USER")


###################################################
### code chunk number 65: Guide.Stex:1072-1076
###################################################
 library("TSMySQL")
 con <-  dbConnect("MySQL", dbname="test") 
 source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
 dbDisconnect(con)


###################################################
### code chunk number 66: Guide.Stex:1080-1081
###################################################
  con  <-  TSconnect("MySQL", dbname="test")


###################################################
### code chunk number 67: Guide.Stex:1086-1087 (eval = FALSE)
###################################################
## con <-  TSconnect("MySQL", dbname="test", username=user, password=passwd, host=host)


###################################################
### code chunk number 68: Guide.Stex:1095-1097
###################################################
  detach(package:TSMySQL)
  detach(package:RMySQL)


###################################################
### code chunk number 69: Guide.Stex:1118-1119
###################################################
   host    <- Sys.getenv("POSTGRES_HOST")


###################################################
### code chunk number 70: Guide.Stex:1125-1129
###################################################
  library("TSPostgreSQL")
  con  <- dbConnect("PostgreSQL", dbname="test", host=host)
  source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
  dbDisconnect(con)


###################################################
### code chunk number 71: Guide.Stex:1133-1134
###################################################
  con  <-  TSconnect("PostgreSQL", dbname="test", host=host)


###################################################
### code chunk number 72: Guide.Stex:1139-1140 (eval = FALSE)
###################################################
##   con <-  TSconnect("PostgreSQL", dbname="test", user=user, password=passwd, host=host)


###################################################
### code chunk number 73: Guide.Stex:1148-1150
###################################################
  detach(package:TSPostgreSQL)
  detach(package:RPostgreSQL)


###################################################
### code chunk number 74: Guide.Stex:1162-1166
###################################################
 library("TSSQLite")
 con <- dbConnect("SQLite", dbname="test") 
 source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
 dbDisconnect(con)


###################################################
### code chunk number 75: Guide.Stex:1170-1171
###################################################
  con  <-  TSconnect("SQLite", dbname="test")


###################################################
### code chunk number 76: Guide.Stex:1176-1178
###################################################
  detach(package:TSSQLite)
  detach(package:RSQLite)


###################################################
### code chunk number 77: Guide.Stex:1201-1206
###################################################
library("TSodbc")
con <-  odbcConnect(dsn="test") 
if(con == -1) stop("error establishing ODBC connection.") 
source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
odbcClose(channel=con)


###################################################
### code chunk number 78: Guide.Stex:1210-1211
###################################################
  con  <-  TSconnect("ODBC", dbname="test")


###################################################
### code chunk number 79: Guide.Stex:1216-1217 (eval = FALSE)
###################################################
## con  <-  TSconnect("ODBC", dbname="test", uid=user, pwd=passwd)


###################################################
### code chunk number 80: Guide.Stex:1226-1228
###################################################
  detach(package:TSodbc)
  detach(package:RODBC)


###################################################
### code chunk number 81: Guide.Stex:1310-1314 (eval = FALSE)
###################################################
##  library("TSOracle")
##  con  <- dbConnect("Oracle", dbname="test") 
##  source(system.file("TSsql/CreateTables.TSsql", package = "TSdbi"))
##  dbDisconnect(con)


###################################################
### code chunk number 82: Guide.Stex:1319-1320 (eval = FALSE)
###################################################
##   con  <-  TSconnect("Oracle", dbname="test")


###################################################
### code chunk number 83: Guide.Stex:1325-1327 (eval = FALSE)
###################################################
##   detach(package:TSOracle)
##   detach(package:ROracle)


###################################################
### code chunk number 84: Guide.Stex:1346-1347 (eval = FALSE)
###################################################
##   con <- TSconnect("fame", dbname="testFame.db") 


###################################################
### code chunk number 85: Guide.Stex:1351-1352 (eval = FALSE)
###################################################
##   con <- TSconnect("fame", dbname="ets /path/to/etsmfacansim.db", "read") 


###################################################
### code chunk number 86: Guide.Stex:1360-1362 (eval = FALSE)
###################################################
##   detach(package:TSfame)
##   detach(package:fame)


###################################################
### code chunk number 87: Guide.Stex:1399-1402 (eval = FALSE)
###################################################
##   library("TSpadi") 
##   # pass user/passwd/host in .padi.cfg   
##   con <- TSconnect("padi", dbname="ets") 


###################################################
### code chunk number 88: Guide.Stex:1406-1408 (eval = FALSE)
###################################################
##   con <- TSconnect("padi", dbname="ets", username=user, 
##                    password=passwd, host=host)


###################################################
### code chunk number 89: Guide.Stex:1424-1425 (eval = FALSE)
###################################################
##   detach(package:TSpadi)


###################################################
### code chunk number 90: Guide.Stex:1491-1504
###################################################
 library("TSMySQL")
 con <- dbConnect("MySQL", dbname="test")
 dbListTables(con)
 dbGetQuery(con, "show tables;")
 dbGetQuery(con, "describe A;")
 dbGetQuery(con, "describe B;")
 dbGetQuery(con, "describe D;")
 dbGetQuery(con, "describe M;")
 dbGetQuery(con, "describe Meta;")
 dbGetQuery(con, "describe U;")
 dbGetQuery(con, "describe Q;")
 dbGetQuery(con, "describe S;")
 dbGetQuery(con, "describe W;")


###################################################
### code chunk number 91: Guide.Stex:1513-1525
###################################################
  dbGetQuery(con, paste(
       "SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.Columns ",
       " WHERE TABLE_SCHEMA='test' AND table_name='A' ;")) 

  dbGetQuery(con, paste(
       "SELECT COLUMN_NAME, COLUMN_DEFAULT, COLLATION_NAME, DATA_TYPE,",
       "CHARACTER_SET_NAME, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION",
 "FROM INFORMATION_SCHEMA.Columns WHERE TABLE_SCHEMA='test' AND table_name='A' ;"))

  dbGetQuery(con, paste(
   "SELECT COLUMN_NAME, DATA_TYPE, CHARACTER_MAXIMUM_LENGTH, NUMERIC_PRECISION",
 "FROM INFORMATION_SCHEMA.Columns WHERE TABLE_SCHEMA='test' AND table_name='M';"))


###################################################
### code chunk number 92: Guide.Stex:1545-1549
###################################################
 library("TSMySQL")
 con <- TSconnect("MySQL", dbname="test") 
 dbGetQuery(con, "SELECT count(*) FROM Meta ;") 
 dbGetQuery(con, "SELECT max(year) FROM A ;") 


###################################################
### code chunk number 93: Guide.Stex:1553-1554
###################################################
dbDisconnect(con)


